> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api.md).

# Spotlight API

The **Spotlight API** provides endpoints designed to highlight key platform objects that may need attention. These objects can include agreements, orders, subscriptions, invoices, and more.

The API consists of two primary endpoints: `spotlightObject` and `spotlightQuery`. With this API, you can:

* List all spotlighted objects.
* Invalidate or clear the cache for Spotlight objects.
* List the defined spotlight queries.
* Get details for a specific spotlight query.
* Update an existing spotlight query.

### Before you start <a href="#before-you-start" id="before-you-start"></a>

Review the shared API docs before you work with the spotlight resources.

* [Authentication](/developer-resources/rest-api.md#authentication)
* [URL structure](/developer-resources/api-usage-and-reference/url-structure.md)
* [Error handling](/developer-resources/api-usage-and-reference/errors-handling.md)

### Core resources

The Spotlight API is built around the following core resources:

* **SpotlightObject** – Represents a collection of spotlighted objects.
* **SpotlightTopItem** – Represents individual top result items identified by `spotlightQuery`.
* **SpotlightQuery** – Represents the search query used to retrieve spotlighted data.

### Browse collection

The API is organized into a single collection containing a set of operations. Access to these operations varies by role, depending on whether you are a `client`, `vendor`, or `operations` user.&#x20;

Refer to the following capability matrix to see which roles are authorized to perform specific operations within this collection:

<table><thead><tr><th width="231">Operation</th><th width="133">Method</th><th>Description</th><th>Access</th></tr></thead><tbody><tr><td><a href="/pages/uQifVmkdlj0oVEaHHui0">List spotlight objects</a></td><td>GET</td><td>Returns a list of spotlight result objects filtered by RQL query.</td><td>vendor, client, ops</td></tr><tr><td><a href="/pages/S5QJonhT8CQ7l1W6GuWW">Invalidate all cache</a></td><td>POST</td><td>Invalidates all cache keys for the account and buyer group.</td><td>vendor, client, ops</td></tr><tr><td><a href="/pages/uVGuKHSvFszv1AMgfGT9">Invalidates cache</a></td><td>POST</td><td>Invalidates cache for a specific spotlight object.</td><td>vendor, client, ops</td></tr><tr><td><a href="/pages/iJ7IiEcHThbFXFpaZI4J">List spotlight queries</a></td><td>POST</td><td>Returns a list of spotlight queries.</td><td>vendor, client, ops</td></tr><tr><td><a href="/pages/ni2jj5ARL9JNOYQTl2ef">Get spotlight query</a></td><td>GET</td><td>Gets a spotlight query.</td><td>vendor, client, ops</td></tr><tr><td><a href="/pages/BAaka2gYBi1YVHSF74DY">Update spotlight query</a></td><td>PUT</td><td>Updates the definition or configuration of a spotlight query.</td><td>vendor, client, ops</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
